Author Topic: Minimize GPS-errors on Tracking  (Read 7204 times)

Offline franc

  • Padavan of Locus
  • ***
  • Posts: 395
    • View Profile
Re: Minimize GPS-errors on Tracking
« Reply #30 on: August 28, 2012, 17:53:36 »
Is this information relevant or should I better forget about it?
Now as a new version of Locus is out.
I think the beta stops working end of august anyway so I can uninstall it, do I?
« Last Edit: January 01, 1970, 01:00:00 by Guest »
Locus Pro - always the actual version on Samsung Galaxy S4 with Lineage 13
 

Offline PeterPablo

  • More than Newbie
  • *
  • Posts: 38
    • View Profile
Re: Minimize GPS-errors on Tracking
« Reply #31 on: September 05, 2012, 10:24:25 »
The new final version of the app worked fine for me. Thank you!

I had another idea concerning this problem: You could additionally check the acceleration (second time-derivative) in order to further improve robustness, if some people still encounter problems.
« Last Edit: January 01, 1970, 01:00:00 by Guest »
 

Offline franc

  • Padavan of Locus
  • ***
  • Posts: 395
    • View Profile
Re: Minimize GPS-errors on Tracking
« Reply #32 on: September 26, 2012, 12:00:16 »
Quote from: "franc"
... I will update to 4.x when the first app needs 4.x as minimum OS.
Now I have CM10 and I struggle with not anymore working USB-Support.
« Last Edit: January 01, 1970, 01:00:00 by Guest »
Locus Pro - always the actual version on Samsung Galaxy S4 with Lineage 13
 

Offline tommi

  • Global Moderator
  • Professor of Locus
  • *****
  • Posts: 1216
  • Thanked: 2 times
  • Devices: Samsung S7 + S5 + S3 + Nexus7 flo
    • View Profile
Re: Minimize GPS-errors on Tracking
« Reply #33 on: September 27, 2012, 22:43:17 »
Quote from: "franc"
Quote from: "franc"
... I will update to 4.x when the first app needs 4.x as minimum OS.
Now I have CM10 and I struggle with not anymore working USB-Support.
You're funny, franc.
First long ongoing discussion why you won't update to stock 4.0 and stay with 2.3 and then update to non-stock early beta 4.1!?

What actually do you mean with USB-Support? You don't get it connected as USB device to a PC?
My son is using CM10 on the SGSII as well (he is very curious and currently playing a lot with different ROMs, kernels, etc. I could check with him if he has a similar problem.
« Last Edit: January 01, 1970, 01:00:00 by Guest »
 

Offline franc

  • Padavan of Locus
  • ***
  • Posts: 395
    • View Profile
Re: Minimize GPS-errors on Tracking
« Reply #34 on: September 27, 2012, 23:06:54 »
Hello
It was maybe a mistake to install this new OS.
It made me a lot of work.
And indeed there are some apps not working with JellyBean.
But CyanogenMod or stock Rom is not that difference.
I didn't want to install an OS which is soon again out of date.

My problem with the USB is surely related to my PC (Windows XP SP3, not the newest one) because the phone is working with Mac OSX, both memory cards are working there.
EDIT: and even with Windows Vista 64 it is working!

Thank you for the offer to help anyway !

At least locus is working without problems ;)

Frank
« Last Edit: September 28, 2012, 06:55:46 by franc »
Locus Pro - always the actual version on Samsung Galaxy S4 with Lineage 13
 

Offline tommi

  • Global Moderator
  • Professor of Locus
  • *****
  • Posts: 1216
  • Thanked: 2 times
  • Devices: Samsung S7 + S5 + S3 + Nexus7 flo
    • View Profile
Re: Minimize GPS-errors on Tracking
« Reply #35 on: September 27, 2012, 23:19:44 »
Quote from: "franc"
Hello
It was maybe a mistake to install this new OS.
It made me a lot of work.
And indeed there are some apps not working with JellyBean.
But CyanogenMod or stock Rom is not that difference.
Just talked to my son: he definitely cannot confirm that there is "not that difference" according to his experience with Samsung Android 4.0.4 compared to CM9 and so I think there is a lot of difference between JB delivered by Google and (not yet available) JB by Samsung. But anyway there are rumours that Samsung will deliver JB as well.
But I think we should stop the discussion now as it is going really out of scope (at least from my side  :D )
Have fun with Locus on any Android version!
« Last Edit: January 01, 1970, 01:00:00 by Guest »
 

Offline franc

  • Padavan of Locus
  • ***
  • Posts: 395
    • View Profile
Re: Minimize GPS-errors on Tracking
« Reply #36 on: October 08, 2012, 08:46:50 »
Quote from: "tommi62"
...he definitely cannot confirm that there is "not that difference" according to his experience with Samsung Android 4.0.4 compared to CM9 and so I think there is a lot of difference between JB delivered by Google and (not yet available) JB by Samsung. ...
So maybe it is indeedly an incompatibility between CM10 and the driver for Windows XP OS as I cannot connect to two different XP-machines but to Mac and Vista.

But you are right, this becomes off-topic, I stop it. Thank you anyway for the hints.

edit:
To bring this to a point, I have to tell that I switched back to 2.3.5 after about a week.
CyanogenMod 10 (4.1.1) is yet not very stable and it was a big error of mine not to read enough about it and just installing it. I had to read later much more ;-)

What I said before, that there is no reason to change a perfect running system (OS 2.3.5) with a new and not totally compatible system was exactly right. I was too curious and this was a mistake.
Your son was very right as well, saying that CyanogenMod 10 (4.1.1) is not the same as the stock ROM.
Not at all!
I know it now and I had to pay this knowledge with many hours of struggle with the buggy OS.
Blame on Samsung not giving their sources.

Maybe I will update when the JellyBean stock ROM for SGS2 is available (with root).

At least locus did work flawlessly on CM 10 :-)
« Last Edit: January 01, 1970, 01:00:00 by Guest »
Locus Pro - always the actual version on Samsung Galaxy S4 with Lineage 13
 

Offline franc

  • Padavan of Locus
  • ***
  • Posts: 395
    • View Profile
Re: Minimize GPS-errors on Tracking
« Reply #37 on: January 17, 2013, 17:19:49 »
Still on 2.3.5, because JB for Samsung Galaxy S2 (stock) is only coming maybe March or April 2013 along the rumors ;)

My problem with the USB was indeedly a personal XP problem. There was a inf-file that was missing on that PC, I discovered it after a lot of search.

But back to the initial problem with the GPS errors: I never had any of those africa-jumps in the last months.
I tracked the last two weeks (in CSR) on a hike every day and never had a problem.
But I tracked with MyTracks, this needs less battery as Locus tracking (about the half, I guess), but these errors are not related to Locus anyway.

frank
« Last Edit: January 01, 1970, 01:00:00 by Guest »
Locus Pro - always the actual version on Samsung Galaxy S4 with Lineage 13